_alpm_delta_t(3)

NAME
_alpm_delta_t - Package upgrade delta.

SYNOPSIS

#include <alpm.h>

  Data Fields
char * delta
filename of the delta patch
char * delta_md5
md5sum of the delta file
char * from
filename of the 'before' file
char * to
filename of the 'after' file
off_t delta_size
filesize of the delta file
off_t download_size
download filesize of the delta file

Detailed Description

Package upgrade delta.

Field Documentation

  char* _alpm_delta_t::delta

filename of the delta patch

Referenced by alpm_pkg_download_size().

  char* _alpm_delta_t::delta_md5

md5sum of the delta file

Referenced by alpm_pkg_download_size().

  off_t _alpm_delta_t::delta_size

filesize of the delta file

Referenced by alpm_pkg_download_size().

  off_t _alpm_delta_t::download_size

download filesize of the delta file

Referenced by alpm_pkg_download_size().

  char* _alpm_delta_t::from

filename of the 'before' file

Referenced by alpm_pkg_download_size().

  char* _alpm_delta_t::to

filename of the 'after' file

Referenced by alpm_pkg_download_size().

Author

Generated automatically by Doxygen for libalpm from the source code.